com.google.gwt.event.shared

## Class UmbrellaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.web.bindery.event.shared.UmbrellaException
        - - com.google.gwt.event.shared.UmbrellaException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttachDetachException

    public class UmbrellaException
    extends UmbrellaException

Wraps {com.google.web.bindery.event.shared.UmbrellaException} for legacy compatibility.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `UmbrellaException()` Required for GWT RPC serialization.
`` `UmbrellaException(java.util.Set<java.lang.Throwable> causes)`

### Method Summary

### Methods inherited from class com.google.web.bindery.event.shared.UmbrellaException

`getCauses, makeCause, makeMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UmbrellaException

    public UmbrellaException(java.util.Set<java.lang.Throwable> causes)

#### UmbrellaException

    protected UmbrellaException()

Required for GWT RPC serialization.